tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Luc BEAUDET <beau...@cyber.kodak.com>
Subject Re: Jakarta Connectors build error
Date Mon, 06 Jan 2003 10:33:01 GMT
Well, it seems yu've got some pbs with apr.

I use to work with Apache 1.3.26, not Apache 2.x.
It seems that Apache 2 is build including apr
This is an excerpt of the build.properties.sample.
# APR location - by default the version included in Apache2 is used.
# Don't edit unless you install 'standalone' apr.
apr.home=${apache2.home}

It seems that apr is well included. Just have it verified.
If not, just download and install apr-0.9.1 in the ./jk2 directory - 
from where yu try to compile -

BTW Can you be more precise about the way yu compile install?
I mean ./buildconf.sh and ./configure ???

HTH.

:O) Jean-Luc B

David Orriss Jr wrote:

>Hi,
>
>When I try to build the libjkjni.so library I'm getting this set messages/errors:
>
> -lcrypt -L/usr/local/apache2/lib -lapr  -Wl,-soname -Wl,libjkjni.so -o
>.libs/libjkjni.so
>       [so] StdErr:
>       [so] /usr/bin/ld: cannot find -lapr
>       [so] collect2: ld returned 1 exit status
>
>BUILD FAILED
>file:/home/davidjr/downloads/jakarta-tomcat-connectors-4.1.18-src/jk/native2/build.xml:341:
>Link failed libjkjni
>
>
>Suggestions would be most appreciated.  I'm really stumped as to why it can't
>find this apr library.  FWIW, my Apache 2 installation is in /usr/local/apache2
>and tomcat 4.1 is in /usr/local/jakarta-tomcat-4.1.18/
>
>Thanks.
>
>
>
>



--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message